Subject: Re: bug#67462: 30.0.50; prog-fill-reindent-defun does not respect buffer-local fill-paragraph-function

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Nov 2023 22:55:48 +0200

> From: Jens Schmidt <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 27 Nov 2023 21:08:32 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >>   cfengine-fill-paragraph
> >>   f90-fill-paragraph
> >>   fortran-fill-paragraph
> >>   makefile-fill-paragraph
> >>   octave-fill-paragraph
> >>
> >> I could be wrong with that list, though, and I cannot tell how useful
> >> these functions are outside of comments.  I just looked at docstrings or
> >> for a prominent
> >>
> >>   (or (fill-comment-paragraph justify)
> >>       (do-something ...))
> >>
> >> pattern.
> >
> > What would it take to teach prog-fill-reindent-defun to DTRT outside
> > comments and strings?

(I meant "inside", sorry.)

> IMO the problem here is that some modes already have an idea of what
> could be TRT outside comments and strings, implemented in a
> mode-specific fill-paragraph-function.

But isn't filling inside comments and strings basically very similar
in these modes?